Users

Users are people with access to your Pipedrive account. A user may belong to one or many Pipedrive accounts, so deleting a user from one Pipedrive account will not remove the user from the data store if he/she is connected to multiple accounts. Users should not be confused with persons.

Get all users

Copy link

Returns data about all users within the company.

Cost

20

Request
GET

/v1/users

Response
200

OK

Expand all
Copy code
    • true
    • [ ... ]

    Get one user

    Copy link

    Returns data about a specific user within the company.

    Cost

    2

    Request
    GET

    /v1/users/{id}

    Path parameters

    id

    integer

    required

    The ID of the user

    Response
    200

    OK

    Expand all
    Copy code
      • true
      • { ... }

      List followers of a user

      Copy link

      Lists users who are following the user.

      Cost

      10

      Request
      GET

      /api/v2/users/{id}/followers

      Path parameters

      id

      integer

      required

      The ID of the user

      Query parameters

      limit

      integer

      For pagination, the limit of entries to be returned. If not provided, 100 items will be returned. Please note that a maximum value of 500 is allowed.

      cursor

      string

      For pagination, the marker (an opaque string value) representing the first item on the next page

      Response
      200

      OK

      Expand all
      Copy code
        • true
        • [ ... ]
          • { ... }

          List user permissions

          Copy link

          Lists aggregated permissions over all assigned permission sets for a user.

          Cost

          10

          Request
          GET

          /v1/users/{id}/permissions

          Path parameters

          id

          integer

          required

          The ID of the user

          Response
          200

          OK

          Expand all
          Copy code
            • true
            • { ... }

            List role assignments

            Copy link

            Lists role assignments for a user.

            Cost

            10

            Request
            GET

            /v1/users/{id}/roleAssignments

            Path parameters

            id

            integer

            required

            The ID of the user

            Query parameters

            start

            integer

            Pagination start

            Default

            0

            limit

            integer

            Items shown per page

            Response
            200

            OK

            Expand all
            Copy code
              • true
              • [ ... ]
                • { ... }

                List user role settings

                Copy link

                Lists the settings of user's assigned role.

                Cost

                10

                Request
                GET

                /v1/users/{id}/roleSettings

                Path parameters

                id

                integer

                required

                The ID of the user

                Response
                200

                OK

                Expand all
                Copy code
                  • true
                  • { ... }

                  Find users by name

                  Copy link

                  Finds users by their name.

                  Cost

                  40

                  Request
                  GET

                  /v1/users/find

                  Query parameters

                  term

                  string

                  required

                  The search term to look for

                  search_by_email

                  number

                  When enabled, the term will only be matched against email addresses of users. Default: false.

                  Default

                  0

                  Values

                  0

                  1

                  Response
                  200

                  OK

                  Expand all
                  Copy code
                    • true
                    • [ ... ]

                    Get current user data

                    Copy link

                    Returns data about an authorized user within the company with bound company data: company ID, company name, and domain. Note that the locale property means 'Date/number format' in the Pipedrive account settings, not the chosen language.

                    Cost

                    2

                    Request
                    GET

                    /v1/users/me

                    Response
                    200

                    OK

                    Expand all
                    Copy code
                      • true
                      • { ... }

                      Add a new user

                      Copy link

                      Adds a new user to the company, returns the ID upon success.

                      Cost

                      10

                      Request
                      POST

                      /v1/users

                      Body parameters

                      application/json

                      email

                      string

                      required

                      The email of the user

                      access

                      array

                      The access given to the user. Each item in the array represents access to a specific app. Optionally may include either admin flag or permission set ID to specify which access to give within the app. If both are omitted, the default access for the corresponding app will be used. It requires structure as follows: [{ app: 'sales', permission_set_id: '62cc4d7f-4038-4352-abf3-a8c1c822b631' }, { app: 'global', admin: true }, { app: 'account_settings' }]

                      Default

                      [object Object]

                      active_flag

                      boolean

                      Whether the user is active or not. false = Not activated, true = Activated

                      Default

                      true

                      Response
                      200

                      OK

                      Expand all
                      Copy code
                        • true
                        • { ... }

                        Update user details

                        Copy link

                        Updates the properties of a user. Currently, only active_flag can be updated.

                        Cost

                        10

                        Request
                        PUT

                        /v1/users/{id}

                        Path parameters

                        id

                        integer

                        required

                        The ID of the user

                        Body parameters

                        application/json

                        active_flag

                        boolean

                        required

                        Whether the user is active or not. false = Not activated, true = Activated

                        Response
                        200

                        OK

                        Expand all
                        Copy code
                          • true
                          • { ... }

                          Subscribe to Pipedrive’s Developer Newsletter